/*
 * Visit url for update: http://sourceforge.net/projects/jvftp
 * 
 * JvFTP was developed by Bea Petrovicova <beapetrovicova@yahoo.com>.
 * The sources was donated to sourceforge.net under the terms 
 * of GNU General Public License (GPL). Redistribution of any 
 * part of JvFTP or any derivative works must include this notice.
 */
package cz.dhl.swing;

import javax.swing.JTextArea;
import javax.swing.SwingUtilities;

import cz.dhl.ftp.Ftp;
import cz.dhl.ui.CoConsole;

/**
 * <P>Displays remote commands and server replies.</P>
 * <P>Optional component of JFtpBrowsePanel.</P>
 * 
 * <IMG SRC="console.gif"><BR><BR>
 * 
 * @version 0.71 06/09/2003
 * @author Bea Petrovicova <beapetrovicova@yahoo.com>  
 * @see JFtpBrowsePanel
 */
public final class JCoConsoleTextArea extends JTextArea implements CoConsole {
	/** <P>Creates a new CoConsoleTextArea instance.</P> */
	JCoConsoleTextArea(Ftp client) {
		super("\nVisit url for update: http://sourceforge.net/projects/jvftp\n\n"
			+ "JvFTP was developed by Bea Petrovicova <beapetrovicova@yahoo.com>.\n" 
			+ "The sources was donated to sourceforge.net under the terms\n" 
			+ "of GNU General Public License (GPL). Version 0.71 06/09/2003\n"); 
		/* State */
		setEditable(false);

		client.getContext().setConsole(this);
	}

	public void print(final String message) {
		SwingUtilities.invokeLater(new Runnable() {
			public void run() {
				int length = getDocument().getLength();
				append(message + "\n");
				setCaretPosition(length);
			}
		});
	}
}