package org.jvisu.comm.var;

/** Interface for automatic notification of variable content changes.
 *
 *  <p>package:  org.jvisu.comm.var</p>
 *  <p>file:    JVVarListener.java</p>
 *  <p>$Id: JVVarListener.java 275 2004-04-19 08:20:55Z tgl $ </p>
 *  <p>Copyright 2003 Thomas Gleixner <tglx@linutronix.de></p>
 *
 *  <p>This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License version 2 as
 *  published by the Free Software Foundation. See file LICENCE in this
 *  directory</p>
 *  
 *  <p>Change Log:</p>
 *  <ul>
 *  <li> 1.0 Initial inmplimentation </li>
 *  </ul>
 *  <p>
 *  The listener, which implements this interface is informed, whenever the variable
 *  content changes. The argument is of type JVVar, as this is a common function for
 *  all JVVar implementations. The owner should be able to determine the variable
 *  type from the variable index, which as given to the constructor.
 *  </p>
 *
 * @author Thomas Gleixner <tglx@linutronix.de>
 * @version 1.0 
*/
public interface JVVarListener {
    /** Informes the owner, that the variable value has been changed
     * @param var JVVar which contains the neccecary information for the listener to identify the
     * variable
     */
    public void VarChanged (JVVar var);
}
