package org.jvisu.panel.configurator.editors;

import java.awt.*;
import java.beans.*;

/**
 *  <p>package:    JVisu</p>
 *  <p>file:       JVSubPanel.java</p>
 * $Id: JVPointEditor.java 153 2003-11-13 19:15:01Z tgl $
 *
 *  <p>Copyright 2003 Thomas Gleixner <tglx@linutronix.de></p>
 *
 * <p>This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License version 2 as
 *  published by the Free Software Foundation.</p>
 * </p>
 *
 * Change Log:
 * </p>
 * <ul>
 * <li> 1.0 First implementation
 * </ul>
 * <p>
 * </p>
 * JVSubPanel is a empty subclass of JVPanel. The only purpose is to
 * identify the size optimzizable components in JVPanel.
 *
 * @author Thomas Gleixner <tglx@linutronix.de>
 * @version 1.3
 */
public class JVPointEditor extends PropertyEditorSupport {
    
    /** The point object */
    private Point   point;
    
    /** Creates a new instance of JVDimensionEditor */
    public JVPointEditor() {
        point = new Point();
    }

    /** Get the property value as text 
     *  @return string representation
     */
    public String getAsText() {
        return (point.x + "," + point.y);
    }

    /** Set the property value as text 
     *  @param value string representation
     */
    public void setAsText(String value) {
        int sep = value.indexOf(',');
        if (sep < 0)
            return;
        try {
            int x = Integer.parseInt(value.substring(0,sep).trim());
            int y = Integer.parseInt(value.substring(sep+1).trim());
            point.x = x;
            point.y = y;
        } catch (Exception e) { return; }
    }
    
    /** Set the property value 
     *  @param obj Object, which sets the value
     */
    public void setValue(Object obj) {
        try {
            point = new Point((Point) obj);
        } catch (ClassCastException e) { return; }
    }

    /** Get the property value as object
     *  @return  Object, which sets the value
     */
    public Object getValue() {
        return point;
    }
    
}
