package org.jvisu.util;

import java.awt.event.*;
import java.util.*;
import javax.swing.event.*;

/** Language selector with selection notification
 *
 *  <p>package:  org.jvisu.util</p>
 *  <p>file:    JVLanguageSelector.java</p>
 *  <p>$Id: JVLanguageSelector.java 275 2004-04-19 08:20:55Z tgl $ </p>
 *  <p>Copyright 2003 Thomas Gleixner <tglx@linutronix.de></p>
 *
 *  <p>This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License version 2 as
 *  published by the Free Software Foundation. See file LICENCE in this
 *  directory</p>
 *  
 *  <p>Change Log:</p>
 *  <ul>
 *  <li> 1.0 Initial inmplimentation </li>
 *  </ul>
 *  <p>
 *	Static storage for language selection
 *	Listener support for language selection change notification
 *  </p>
 *
 * @author Thomas Gleixner <tglx@linutronix.de>
 * @version 1.0 
*/
public class JVLanguageSelector {
    
        /** The language selector */
        protected static int                languageSelector = 0;
        /** The language selection change listener list */
        protected static ArrayList          languageChangeListeners = new ArrayList();
        
        /** Get the language selector 
         *  @return language index
         */
        public static int getLanguageSelector() {
            return languageSelector;
        }
        /** change the language selector 
         *  @param index language index
         */
        public static void setLanguageSelector(int index, Object sender) {
            if (index >= 0) {
                int old = languageSelector;
                if (languageSelector != index) {
                    languageSelector = index;
                    ActionEvent e = new ActionEvent(sender, 4711, "LanguageSelectionChanged");
                    for (int i = 0; i < languageChangeListeners.size(); i++)
                        ((ActionListener)languageChangeListeners.get(i)).actionPerformed(e);
                }
            }
        }
        
        /** add a listener 
         *  @param listener
         */
        public static void addLanguageChangeListener(ActionListener listener) {
            languageChangeListeners.add(listener);
        }

        /** remove a listener 
         *  @param listener
         */
        public static void removeLanguageChangeListener(ActionListener listener) {
            languageChangeListeners.remove(listener);
        }
}
